%if 0%{?el7}
%define dist .el7
%endif

%define realname SVT-AV1
%define _smp_mflags -j1

Name:           libsvtav1
Version:        0.9.1
Release:        1%{?dist}
Summary:        Scalable Video Technology for AV1

License:        BSDv3, VSDv2
URL:            https://trac.ffmpeg.org/wiki/Encode/AV1
Source0:        https://github.com/AOMediaCodec/SVT-AV1/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake
BuildRequires:	yasm nasm

%description
The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development is a work-in-progress targeting performance levels applicable to both VOD and Live encoding / transcoding video applications. The SVT-AV1 decoder implementation is targeting future codec research activities.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{realname}-%{version}


%build
%{__cmake} . -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc CHANGELOG.md CONTRIBUTING.md PATENTS.md README.md STYLE.md Docs
%{!?_licensedir:%global license %%doc}
%license LICENSE-BSD2.md LICENSE.md
%{_libdir}/*.so.*
%{_bindir}/SvtAv1DecApp
%{_bindir}/SvtAv1EncApp

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Apr 02 2022 momo-i <webmaster@momo-i.org>
- 
